List rewards
curl --request GET \
--url https://api.kintra.io/api/v1/tenant/{tenantId}/rewards \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kintra.io/api/v1/tenant/{tenantId}/rewards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.kintra.io/api/v1/tenant/{tenantId}/rewards"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"data": {
"has_next_page": true,
"items": [
{
"id": "<string>",
"is_active": true,
"onchain_asset_id": "<string>",
"tenant_id": "<string>",
"title": "<string>",
"xp_cost": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"metadata": "<unknown>",
"min_tier_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"limit": 123,
"page": 123,
"total_count": 123,
"total_pages": 123
},
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}Rewards
List rewards
Pages your rewards through the Portal API.
See the Gateway API entry for the full description.
GET
/
tenant
/
{tenantId}
/
rewards
List rewards
curl --request GET \
--url https://api.kintra.io/api/v1/tenant/{tenantId}/rewards \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kintra.io/api/v1/tenant/{tenantId}/rewards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.kintra.io/api/v1/tenant/{tenantId}/rewards"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"data": {
"has_next_page": true,
"items": [
{
"id": "<string>",
"is_active": true,
"onchain_asset_id": "<string>",
"tenant_id": "<string>",
"title": "<string>",
"xp_cost": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"metadata": "<unknown>",
"min_tier_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"limit": 123,
"page": 123,
"total_count": 123,
"total_pages": 123
},
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}Authorizations
Auth0 access token
Path Parameters
Query Parameters
Available options:
initialized, published ⌘I

